Skip to main content
GET
Get mobile events for an org

Authorizations

Authorization
string
header
default:Bearer <access-token>
required

Client app access token from POST https://auth.siro.ai/oauth2/token, or a legacy organization API token (Person icon → API Tokens). Send Authorization: Bearer <token>.

Query Parameters

createdAtGt
string

Return results created AFTER the given date. Format: ISO 8601 timestamp (YYYY-MM-DDTHH:mm:ss.sssZ). Example: 2024-06-13T04:00:00.592Z

createdAtLt
string

Return results created BEFORE the given date. Format: ISO 8601 timestamp (YYYY-MM-DDTHH:mm:ss.sssZ). Example: 2024-06-13T04:00:00.592Z

cursor
string

Cursor token for pagination.

pageSize
number
default:100

Number of results to return per page.

Required range: 1 <= x <= 1000
eventCode
enum<string>

DEPRECATED: Use eventCodeIn. Filters to the provided eventCode only.

Available options:
recorderStateChange,
networkStatusChange,
appStateChange,
consentStatusChanged,
recordingMetadataChanged,
deeplinkReceived,
deeplinkConsumed,
userAuthStatusChanged
eventCodeIn
string[]

Filters to the provided eventCode(s). Accepts comma-separated values or repeated eventCodeIn params.

Maximum array length: 10
userId
string

Filters to the provided userId only.

recordingId
string

Filters to the provided recordingId only.

Response

200 - application/json

Get mobile events for an org

data
object[][]
required
cursor
string | null
required

Opaque cursor for pagination